﻿<html>
<body onload="init()">
   
    <script src="http://www.openlayers.org/api/OpenLayers.js"></script>
    <script type="text/javascript" src="dati/dati.js"></script>
    <script>
     function init() {
     // Definisco la variabilie mappa come un oggetto OpenLayers.Map utilizzando il DivMappa, poi aggiungo il Layer OSM (Open Street Map)
     //var 
     Mappa = new OpenLayers.Map("DivMappa");
     //Mappa.addLayer(new OpenLayers.Layer.OSM());

     var mapnik = new OpenLayers.Layer.OSM("OpenStreetMap (Mapnik)");
	 Mappa.addLayer(mapnik);

     // Creo una variabile contenete il layer dei marker poi collego il layer dei markers alla mappa
     //  var 
     LayerMarkers = new OpenLayers.Layer.Markers( "Markers" );
     Mappa.addLayer(LayerMarkers);
   
     // Imposto le coordinate di lonLat come centro della mappa di partenza
     // var 
     lonLat = new OpenLayers.LonLat(DB.CenterMap_Lon,DB.CenterMap_Lat)
          .transform(
            new OpenLayers.Projection("EPSG:4326"), // transform from WGS 1984
            Mappa.getProjectionObject() // to Spherical Mercator Projection
          );
    
      // imposto centro della mappa e zoom
	  Mappa.setCenter (lonLat, DB.ZoomLevel);
     } // fine init
    
     function visualizza(p) {
      // posiziono in base ai punti trovati i segnaposto sulla mappa
	  
	  LayerMarkers.clearMarkers();  //#####
      
	  for (i = 0; i < p.length; i++) {
      // Creo l'oggetto contenente le coordinate (prima longitudine e poi latitudine)
      //var
      LonLat = new OpenLayers.LonLat( p[i].LONGITUDE, p[i].LATITUDE)
          .transform(
            new OpenLayers.Projection("EPSG:4326"), // Transformazione da WGS 1984..
            Mappa.getProjectionObject() // .. a Spherical Mercator Projection
          );
      // Aggiungo al layer dei marker un marker (utilizzando l'oggetto lonLat per le coordinate)
      marker = new OpenLayers.Marker(LonLat);
      marker.icon.url="./ico/default.png";
      LayerMarkers.addMarker(marker);
      //LayerMarkers.addMarker(new OpenLayers.Marker(LonLat));
      } // fine for
	 
	 // alert("prova");
	 // Mappa.removeLayer(LayerMarkers);
    
	}  // fine visualizza

  
    // aggiunta di un Listener alla finestra, il nuovo listener viene usato per la 
    // gestione parametri: tutti i punti trovati nella pagina 
    // ricerca.html sono in "event.data"
    window.addEventListener('message', function(event) {
    // console.log(event.origin);
    // IMPORTANT: Check the origin of the data!
    if (event.origin.indexOf('///')) {
        // The data has been sent from your site
        // The data sent with postMessage is stored in event.data
		visualizza(event.data);
    //    console.log(event.data[1].NAMEASCII);
    } else {
        // The data hasn't been sent from your site!
        // Be careful! Do not use it.
		console.log("errore");
        return;
    }
   
    }); // fine addEventListener
    </script> 

     <div id="DivMappa"></div>
     
</body>

</html>
